aboutsummaryrefslogtreecommitdiff
path: root/tests/docker/run
diff options
context:
space:
mode:
Diffstat (limited to 'tests/docker/run')
-rwxr-xr-xtests/docker/run4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/docker/run b/tests/docker/run
index 7aebf4b569..1014871fec 100755
--- a/tests/docker/run
+++ b/tests/docker/run
@@ -62,7 +62,7 @@ echo "* Prepared to run command:"
echo " $CMD"
echo "* Hit Ctrl-D to continue, or type 'exit 1' to abort"
echo
-$SHELL
+$SHELL --noprofile --norc
if "$CMD"; then
exit 0
@@ -72,7 +72,7 @@ elif test -n "$DEBUG"; then
echo "* Hit Ctrl-D to exit"
echo
# Force error after shell exits
- $SHELL && exit 1
+ $SHELL --noprofile --norc && exit 1
else
exit 1
fi